Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPalette.ColorGroup

    java.lang.Object
      java.lang.Enum<QPalette.ColorGroup>
          com.trolltech.qt.gui.QPalette.ColorGroup

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPalette.ColorGroup>

Enclosing class:
  QPalette

    public static enum QPalette.ColorGroup

extends java.lang.Enum<QPalette.ColorGroup>
implements QtEnumerator

Press link for info on QPalette.ColorGroup

Enum Constant Summary
`Active` Internal.
`All` Internal.
`Current` Internal.
`Disabled` Internal.
`Inactive` Internal.
`NColorGroups` Internal.

Method Summary
`static QPalette.ColorGroup` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPalette.ColorGroup` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPalette.ColorGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Active

    public static final QPalette.ColorGroup Active

  Internal.

### Disabled

    public static final QPalette.ColorGroup Disabled

  Internal.

### Inactive

    public static final QPalette.ColorGroup Inactive

  Internal.

### NColorGroups

    public static final QPalette.ColorGroup NColorGroups

  Internal.

### Current

    public static final QPalette.ColorGroup Current

  Internal.

### All

    public static final QPalette.ColorGroup All

  Internal.

Method Detail

### values

    public static final QPalette.ColorGroup[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPalette.ColorGroup c : QPalette.ColorGroup.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPalette.ColorGroup valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPalette.ColorGroup resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD